apiVersion: v1
kind: Service
metadata:
  annotations:
    annotationsKey: annotationsValue
  creationTimestamp: "2008-01-01T01:01:01Z"
  deletionGracePeriodSeconds: 10
  deletionTimestamp: "2009-01-01T01:01:01Z"
  finalizers:
  - finalizersValue
  generateName: generateNameValue
  generation: 7
  labels:
    labelsKey: labelsValue
  managedFields:
  - apiVersion: apiVersionValue
    fieldsType: fieldsTypeValue
    fieldsV1: {}
    manager: managerValue
    operation: operationValue
    subresource: subresourceValue
    time: "2004-01-01T01:01:01Z"
  name: nameValue
  namespace: namespaceValue
  ownerReferences:
  - apiVersion: apiVersionValue
    blockOwnerDeletion: true
    controller: true
    kind: kindValue
    name: nameValue
    uid: uidValue
  resourceVersion: resourceVersionValue
  selfLink: selfLinkValue
  uid: uidValue
spec:
  allocateLoadBalancerNodePorts: true
  clusterIP: clusterIPValue
  clusterIPs:
  - clusterIPsValue
  externalIPs:
  - externalIPsValue
  externalName: externalNameValue
  externalTrafficPolicy: externalTrafficPolicyValue
  healthCheckNodePort: 12
  internalTrafficPolicy: internalTrafficPolicyValue
  ipFamilies:
  - ipFamiliesValue
  ipFamilyPolicy: ipFamilyPolicyValue
  loadBalancerClass: loadBalancerClassValue
  loadBalancerIP: loadBalancerIPValue
  loadBalancerSourceRanges:
  - loadBalancerSourceRangesValue
  ports:
  - appProtocol: appProtocolValue
    name: nameValue
    nodePort: 5
    port: 3
    protocol: protocolValue
    targetPort: targetPortValue
  publishNotReadyAddresses: true
  selector:
    selectorKey: selectorValue
  sessionAffinity: sessionAffinityValue
  sessionAffinityConfig:
    clientIP:
      timeoutSeconds: 1
  trafficDistribution: trafficDistributionValue
  type: typeValue
status:
  conditions:
  - lastTransitionTime: "2004-01-01T01:01:01Z"
    message: messageValue
    observedGeneration: 3
    reason: reasonValue
    status: statusValue
    type: typeValue
  loadBalancer:
    ingress:
    - hostname: hostnameValue
      ip: ipValue
      ipMode: ipModeValue
      ports:
      - error: errorValue
        port: 1
        protocol: protocolValue
